Analytics Trends
curl --request GET \
--url http://{host}:{port}/{basePath}/analytics/trends \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/analytics/trends"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/analytics/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "AnalyticsTrends",
"metadata": {
"from": "2026-02-19T00:00:00Z",
"to": "2026-03-19T15:00:00Z",
"groupBy": "day"
},
"trends": [
{
"date": "2026-03-19",
"total": 5,
"bySeverity": {
"critical": 1,
"high": 2,
"medium": 1,
"low": 1
}
},
{
"date": "2026-03-18",
"total": 8,
"bySeverity": {
"critical": 2,
"high": 3,
"medium": 2,
"low": 1
}
}
]
}
Analytics
Analytics Trends
Returns issue trends over time with severity breakdown β useful for identifying patterns and measuring operational health
GET
/
analytics
/
trends
Analytics Trends
string
Start date in RFC3339 format
string
End date in RFC3339 format
string
default:"day"
Group results by
day or week{
"apiVersion": "v1",
"kind": "AnalyticsTrends",
"metadata": {
"from": "2026-02-19T00:00:00Z",
"to": "2026-03-19T15:00:00Z",
"groupBy": "day"
},
"trends": [
{
"date": "2026-03-19",
"total": 5,
"bySeverity": {
"critical": 1,
"high": 2,
"medium": 1,
"low": 1
}
},
{
"date": "2026-03-18",
"total": 8,
"bySeverity": {
"critical": 2,
"high": 3,
"medium": 2,
"low": 1
}
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Start date (RFC3339).
End date (RFC3339).
Group by day or week.
Available options:
day, week βI